<ng-container *ngIf="user$ | async as user; else loginTemplate">
  <div class="topbar">
    <h2 (click)="showUserList()">{{user.name}}</h2>
    <button (click)="logout()">Logout</button>
  </div>

  <app-chatbox [user]="user"></app-chatbox>
</ng-container>

<ng-template #loginTemplate>
  <h2 (click)="showUserList()">Users</h2>
  <app-login (login)="login($event)"></app-login>
</ng-template>

<div *ngIf="showUsers" class="user-list">
  <div class="users">
    <div class="user" *ngFor="let user of users$ | async" (click)="selectUser(user)" [ngClass]="{selected: selectedUser?.id === user.id}">{{user.name}}</div>
  </div>
  <button [disabled]="!selectedUser" (click)="login(selectedUser!.name)">Login</button>
  <button (click)="hideUserList()">Cancel</button>
</div>
